| AnyConnect Secure Mobility Client 5.1.2.42

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# PreferenceInfo Class Reference

`#include <PreferenceInfo.h>`

List of all members.

## Public Member Functions
unsigned int | countPreferences () const
bool | getPreference (const PreferenceId &preferenceId, OUT Preference *&rpPreference) const
const std::vector< Preference * > & | getListPreferences () const
const tstring | getPreferenceHeading () const
| PreferenceInfo (const PreferenceInfo &existingPrefInfo)
PreferenceInfo & | operator= (const PreferenceInfo &existingPrefInfo)

## Detailed Description

Class representing a collection of preferences that are grouped together. Provides the ability to retrieve an ordered list of preferences, as well as as a generic heading that describes this grouping of preferences.

## Constructor & Destructor Documentation

PreferenceInfo::PreferenceInfo | ( | const PreferenceInfo & | existingPrefInfo | ) | `[inline, explicit]`

Deep Copy Constructor

                :
                PreferenceInfoBase(existingPrefInfo)
            {
            }

## Member Function Documentation

unsigned int PreferenceInfo::countPreferences | ( |  | ) | const

This method returns the count of any available Preference objects (both parent and child).

Reimplemented from PreferenceInfoBase.

const std::vector<Preference*>& PreferenceInfo::getListPreferences | ( |  | ) | const

Returns a vector of preferences. The order is significant, and represents the visual order with which prompts should be displayed. To access the child preferences of the returned preferences use Preference::getChildren()

Reimplemented from PreferenceInfoBase.

bool PreferenceInfo::getPreference | ( | const PreferenceId & | preferenceId,
|  | OUT Preference *& | rpPreference
| ) |  | const

If there exists a Preference with the passed PreferenceId, returns a pointer to that Preference object in the passed rpPreference pointer. Returns false if no such preference could be found.

const tstring PreferenceInfo::getPreferenceHeading | ( |  | ) | const

Returns a string that describes the contents of this PreferenceInfo. User Interfaces should display this string at the top of the dialog or screen used to display preference controls/widgets.

Reimplemented from PreferenceInfoBase.

PreferenceInfo& PreferenceInfo::operator= | ( | const PreferenceInfo & | existingPrefInfo | ) | `[inline]`

Deep Copy Assignment Operator

            {
                if (std::addressof(existingPrefInfo) != this)
                {
                    PreferenceInfoBase::operator=(existingPrefInfo);
                }
                return *this;
            }